<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_KobayashiTaiheiMember" xlink:label="KobayashiTaiheiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_HattoriYusukeMember" xlink:label="HattoriYusukeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_UmedaTakuyaMember" xlink:label="UmedaTakuyaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_HiraiMakotoMember" xlink:label="HiraiMakotoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_IshiwatariMakikoMember" xlink:label="IshiwatariMakikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_NihonyanagiKenMember" xlink:label="NihonyanagiKenMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_OzawaToshihiroMember" xlink:label="OzawaToshihiroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_IshiiErikoMember" xlink:label="IshiiErikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_NotesOnChangeInUnitOfAmountFinancialInformation" xlink:label="NotesOnChangeInUnitOfAmountFinancialInformation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF" xlink:label="DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_IncreaseDecreaseInContractLiabilitiesOpeCF" xlink:label="IncreaseDecreaseInContractLiabilitiesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_LossOnTrustTypeStockOptionsEL" xlink:label="LossOnTrustTypeStockOptionsEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_NotesRegardingLossOnTrustTypeStockOptionsTextBlock" xlink:label="NotesRegardingLossOnTrustTypeStockOptionsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E35827-000_2023-12-31_01_2024-03-29.xsd#jpcrp030000-asr_E35827-000_LossOnValuationOfInvestmentsInCapitalOfSubsidiariesAndAssociatesOpeCF" xlink:label="LossOnValuationOfInvestmentsInCapitalOfSubsidiariesAndAssociatesOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_NotesOnChangeInUnitOfAmountFinancialInformation_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesOnChangeInUnitOfAmountFinancialInformation_2">金額の表示単位の変更について</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesOnChangeInUnitOfAmountFinancialInformation" xlink:to="label_NotesOnChangeInUnitOfAmountFinancialInformation_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesOnChangeInUnitOfAmountFinancialInformation" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesOnChangeInUnitOfAmountFinancialInformation">金額の表示単位の変更について、経理の状況</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesOnChangeInUnitOfAmountFinancialInformation" xlink:to="label_NotesOnChangeInUnitOfAmountFinancialInformation" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnTrustTypeStockOptionsTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingLossOnTrustTypeStockOptionsTextBlock_2">信託型ストックオプション関連損失</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnTrustTypeStockOptionsTextBlock" xlink:to="label_NotesRegardingLossOnTrustTypeStockOptionsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnTrustTypeStockOptionsTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingLossOnTrustTypeStockOptionsTextBlock">信託型ストックオプション関連損失 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnTrustTypeStockOptionsTextBlock" xlink:to="label_NotesRegardingLossOnTrustTypeStockOptionsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_LossOnTrustTypeStockOptionsEL_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LossOnTrustTypeStockOptionsEL_2">信託型ストックオプション関連損失</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnTrustTypeStockOptionsEL" xlink:to="label_LossOnTrustTypeStockOptionsEL_2" />
    <link:label xlink:type="resource" xlink:label="label_LossOnTrustTypeStockOptionsEL" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LossOnTrustTypeStockOptionsEL">信託型ストックオプション関連損失、特別損失</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnTrustTypeStockOptionsEL" xlink:to="label_LossOnTrustTypeStockOptionsEL" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2">サステナビリティに関する考え方及び取組</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading">サステナビリティに関する考え方及び取組 [目次項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2">サステナビリティに関する考え方及び取組</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock">サステナビリティに関する考え方及び取組 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_LossOnValuationOfInvestmentsInCapitalOfSubsidiariesAndAssociatesOpeCF" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LossOnValuationOfInvestmentsInCapitalOfSubsidiariesAndAssociatesOpeCF">関係会社出資金評価損</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnValuationOfInvestmentsInCapitalOfSubsidiariesAndAssociatesOpeCF" xlink:to="label_LossOnValuationOfInvestmentsInCapitalOfSubsidiariesAndAssociatesOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_LossOnValuationOfInvestmentsInCapitalOfSubsidiariesAndAssociatesOpeCF_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LossOnValuationOfInvestmentsInCapitalOfSubsidiariesAndAssociatesOpeCF_2">関係会社出資金評価損、営業活動によるキャッシュ・フロー</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LossOnValuationOfInvestmentsInCapitalOfSubsidiariesAndAssociatesOpeCF" xlink:to="label_LossOnValuationOfInvestmentsInCapitalOfSubsidiariesAndAssociatesOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF">売上債権及び契約資産の増減額（△は増加）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF" xlink:to="label_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF_2">売上債権及び契約資産の増減額（△は増加）、営業活動によるキャッシュ・フロー</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF" xlink:to="label_DecreaseIncreaseInTradeReceivablesAndContractAssetsOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInContractLiabilitiesOpeCF" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IncreaseDecreaseInContractLiabilitiesOpeCF">契約負債の増減額（△は減少）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInContractLiabilitiesOpeCF" xlink:to="label_IncreaseDecreaseInContractLiabilitiesOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInContractLiabilitiesOpeCF_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IncreaseDecreaseInContractLiabilitiesOpeCF_2">契約負債の増減額（△は減少）、営業活動によるキャッシュ・フロー</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInContractLiabilitiesOpeCF" xlink:to="label_IncreaseDecreaseInContractLiabilitiesOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_KobayashiTaiheiMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KobayashiTaiheiMember">小林　泰平</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KobayashiTaiheiMember" xlink:to="label_KobayashiTaiheiMember" />
    <link:label xlink:type="resource" xlink:label="label_KobayashiTaiheiMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KobayashiTaiheiMember_2">小林　泰平 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KobayashiTaiheiMember" xlink:to="label_KobayashiTaiheiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HattoriYusukeMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HattoriYusukeMember">服部　裕輔</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HattoriYusukeMember" xlink:to="label_HattoriYusukeMember" />
    <link:label xlink:type="resource" xlink:label="label_HattoriYusukeMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HattoriYusukeMember_2">服部　裕輔 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HattoriYusukeMember" xlink:to="label_HattoriYusukeMember_2" />
    <link:label xlink:type="resource" xlink:label="label_UmedaTakuyaMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_UmedaTakuyaMember">梅田　琢也</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmedaTakuyaMember" xlink:to="label_UmedaTakuyaMember" />
    <link:label xlink:type="resource" xlink:label="label_UmedaTakuyaMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_UmedaTakuyaMember_2">梅田　琢也 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmedaTakuyaMember" xlink:to="label_UmedaTakuyaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HiraiMakotoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HiraiMakotoMember">平井　誠人</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiraiMakotoMember" xlink:to="label_HiraiMakotoMember" />
    <link:label xlink:type="resource" xlink:label="label_HiraiMakotoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HiraiMakotoMember_2">平井　誠人 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiraiMakotoMember" xlink:to="label_HiraiMakotoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_IshiwatariMakikoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IshiwatariMakikoMember">石渡　万希子</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IshiwatariMakikoMember" xlink:to="label_IshiwatariMakikoMember" />
    <link:label xlink:type="resource" xlink:label="label_IshiwatariMakikoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IshiwatariMakikoMember_2">石渡　万希子 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IshiwatariMakikoMember" xlink:to="label_IshiwatariMakikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NihonyanagiKenMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NihonyanagiKenMember">二本柳　健</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NihonyanagiKenMember" xlink:to="label_NihonyanagiKenMember" />
    <link:label xlink:type="resource" xlink:label="label_NihonyanagiKenMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NihonyanagiKenMember_2">二本柳　健 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NihonyanagiKenMember" xlink:to="label_NihonyanagiKenMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OzawaToshihiroMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OzawaToshihiroMember">小澤　稔弘</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OzawaToshihiroMember" xlink:to="label_OzawaToshihiroMember" />
    <link:label xlink:type="resource" xlink:label="label_OzawaToshihiroMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OzawaToshihiroMember_2">小澤　稔弘 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OzawaToshihiroMember" xlink:to="label_OzawaToshihiroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_IshiiErikoMember" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IshiiErikoMember">石井　絵梨子</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IshiiErikoMember" xlink:to="label_IshiiErikoMember" />
    <link:label xlink:type="resource" xlink:label="label_IshiiErikoMember_2" xml:lang="ja" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IshiiErikoMember_2">石井　絵梨子 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IshiiErikoMember" xlink:to="label_IshiiErikoMember_2" />
  </link:labelLink>
</link:linkbase>